<ui:composition xmlns="http://www.w3.org/1999/xhtml"
                xmlns:ui="http://java.sun.com/jsf/facelets"
                xmlns:b="http://bootsfaces.net/ui">

    <b:navBar fluid="true">
        <b:navbarLinks rendered="#{getPrincipal.loggedIn}">
            <b:navLink value="Tokens" outcome="index"/>
            <b:navLink value="Administration" outcome="admin" iconAwesome="hexagon-image" iconAlign="left"
                       rendered="#{getPrincipal.admin}"/>
        </b:navbarLinks>

        <b:navbarLinks pull="right" >
            <b:navLink rendered="#{not getPrincipal.loggedIn}" href="#{navbarBean.loginLink()}" value="Connexion CAS"/>
            <b:dropMenu rendered="#{getPrincipal.loggedIn}"
                        value="#{getPrincipal.username} / #{getPrincipal.organization}">
                <b:navLink href="/gazelle-token-service/cas/logout" value="Deconnexion" immediate="true"
                           outcome="#{userBean.logout}" icon-awesome="right-from-bracket"/>
            </b:dropMenu>
        </b:navbarLinks>
    </b:navBar>
</ui:composition>